setFixest_nthreads {fixest} | R Documentation

## Sets/gets the number of threads to use in `fixest` functions

### Description

Sets/gets the default number of threads to used in `fixest` estimation functions. The default is the maximum number of threads minus two.

### Usage

    setFixest_nthreads(nthreads)

    getFixest_nthreads()

### Arguments

`nthreads` | An integer strictly greater than one and lower than the maximum number of threads (if OpenMP is available). If missing, the default is the maximum number of threads minus two.

### Author(s)

Laurent Berge

### Examples

    # Gets the current number of threads
    getFixest_nthreads()
    # To set multi-threading off:
    setFixest_nthreads(1)
    # To set it back to default:
    setFixest_nthreads()

[Package fixest version 0.1.0 Index]